Package org.h2.bnf.context

# Class DbSchema

java.lang.Object
org.h2.bnf.context.DbSchema

public class DbSchema extends Object
Contains meta data information about a database schema. This class is used by the H2 Console.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isDefault`
True if this is the default schema for this database.
`final boolean`
`isSystem`
True if this is a system schema (for example the INFORMATION_SCHEMA).
`final String`
`name`
The schema name.
`final String`
`quotedName`
The quoted schema name.

## Method Summary

Modifier and Type
Method
Description
`DbContents`
`getContents()`
`DbProcedure[]`
`getProcedures()`
`DbTableOrView[]`
`getTables()`
`void`
`readProcedures(DatabaseMetaData meta)`
Read all procedures in the database.
`void`
`readTables(DatabaseMetaData meta, String[] tableTypes)`
Read all tables for this schema from the database meta data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public final String name
The schema name.

### isDefault

public final boolean isDefault
True if this is the default schema for this database.

### isSystem

public final boolean isSystem
True if this is a system schema (for example the INFORMATION_SCHEMA).

### quotedName

public final String quotedName
The quoted schema name.

## Method Details

### getContents

public DbContents getContents()

Returns:
  The database content container.

### getTables

public DbTableOrView[] getTables()

Returns:
  The table list.

### getProcedures

public DbProcedure[] getProcedures()

Returns:
  The procedure list.

### readTables

public void readTables(DatabaseMetaData meta, String[] tableTypes) throws SQLException
Read all tables for this schema from the database meta data.

Parameters:
  `meta` - the database meta data
  `tableTypes` - the table types to read
Throws:
  `SQLException` - on failure

### readProcedures

public void readProcedures(DatabaseMetaData meta) throws SQLException
Read all procedures in the database.

Parameters:
  `meta` - the database meta data
Throws:
  `SQLException` - Error while fetching procedures